#
# spec file for package aseqview
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           aseqview
BuildRequires:  alsa-devel
BuildRequires:  automake
BuildRequires:  gtk2-devel
BuildRequires:  update-desktop-files
Summary:        ALSA Sequencer Event Viewer
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Midi
Version:        0.2.7
Release:        192.3
Source:         %{name}-%{version}.tar.bz2
Source1:        aseqview.desktop
Source2:        aseqview.png
Patch0:         aseqview-0.2.2.dif
Patch1:         aseqview-quote-macros.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.alsa-project.org/~iwai/alsa.html

%description
ASeqView is an ALSA sequencer user client that works as an event viewer
and event filter.  It visualizes received events, such as note on and
off, controls, and pitch wheels, using bar graphs as seen in many
sequencer applications.

%prep
%setup
%patch0
%patch1 -p1

%build
autoreconf --force --install
%configure --enable-gtk2
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file -i aseqview AudioVideo Music GTK
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps

%files
%defattr(-,root,root)
%{_bindir}/*
%doc README AUTHORS ChangeLog
%doc %{_mandir}/man*/*
%if %suse_version > 820
%{_datadir}/applications/*.desktop
%endif
%{_datadir}/pixmaps/*.png

%changelog
* Tue Dec 13 2011 tiwai@suse.de
- fix license to GPL-2.0 only (bnc#735017)
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Fri Mar  5 2010 puzel@novell.com
- add aseqview-quote-macros.patch - fix build
- minor spec cleanup
* Wed Apr 25 2007 tiwai@suse.de
- fix desktop file to use GenericName
* Mon Apr 16 2007 tiwai@suse.de
- updated to version 0.2.7:
  * Add GM2 display
  * Allow multiple -d and -s options (also comma separated
    addresses)
  * Fix mute status control with multiple ports
* Tue Apr  3 2007 tiwai@suse.de
- updated to version 0.2.6:
  * Fix segfault with thread mode (silly typo)
  * Add mute-control feature by TAMUKI Shoichi
* Thu Mar 29 2007 tiwai@suse.de
- fix races in thread mode
* Mon Mar 26 2007 tiwai@suse.de
- updated to version 0.2.4:
  * Added MIDI Tunig Standard (MTS) feature
* Thu Feb 23 2006 tiwai@suse.de
- added GTK to Categories
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 11 2005 tiwai@suse.de
- updated to version 0.2.3a.
* Fri Oct 29 2004 ro@suse.de
- remove gtk from neededforbuild
* Thu Feb 26 2004 tiwai@suse.de
- updated to version 0.2.2.
  built with gtk2.
* Sat Jan 10 2004 adrian@suse.de
- add %%defattr
* Thu Nov 20 2003 tiwai@suse.de
- updated to version 0.2.1.
* Mon Sep 15 2003 tiwai@suse.de
- fixed categories.
- added desktop icon.
* Thu Aug 21 2003 tiwai@suse.de
- updated to version 0.2.0.
- fixed desktop file categories.
* Tue Aug  5 2003 tiwai@suse.de
- added desktop file.
- call suse_update_desktop_file macro.
* Mon Nov 25 2002 tiwai@suse.de
- fixed neededforbuild: xf86 -> x-devel-packages.
- clean up spec file.
* Fri Jul 13 2001 tiwai@suse.de
- updated to ver.0.1.4.
- use _prefix and co.
- fixed file lists.
* Fri Nov 17 2000 tiwai@suse.de
- Use RPM_OPT_FLAGS to configure.
* Thu Nov  2 2000 tiwai@suse.de
- Fixed 0.1.2f archive.
* Thu Nov  2 2000 tiwai@suse.de
- Updated to version 0.1.2f.
- Fixed spec file for long package-name support.
- Use bzip2 for archive.
* Fri Jun  9 2000 tiwai@suse.de
- new package - ALSA sequencer event viewer
  version: 0.1.2e
